# Method: groups.update

Updates a group's properties.

### HTTP request

`PUT https://admin.googleapis.com/admin/directory/v1/groups/{groupKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `groupKey` | `string` Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/groups#Group`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/groups#Group`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/groups/`
- `
  https://www.googleapis.com/auth/admin.directory.group`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).